import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:go_router/go_router.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/core/extensions/build_context_extension.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/gen/assets.gen.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/presentation/features/counter/counter.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/presentation/shared/layouts/wyatt_app_template_scaffold.dart';

class Home extends StatelessWidget {
  const Home({super.key});

  static const String pageName = 'homePage';

  @override
  Widget build(BuildContext context) => WyattAppTemplateScaffold(
        body: Center(
          child: Column(
            children: [
              Assets.images.wyattLogo.image(width: 150),
              const Gap(30),
              ElevatedButton(
                child: Text(context.l10n.goToCounter),
                onPressed: () => context.pushNamed(Counter.pageName),
              ),
            ],
          ),
        ),
      );
}
